import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  claimId: SortOrderSchema.optional()
}).strict();
export const ClaimFileSumOrderByAggregateInputObjectSchema: z.ZodType<Prisma.ClaimFileSumOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.ClaimFileSumOrderByAggregateInput>;
export const ClaimFileSumOrderByAggregateInputObjectZodSchema = makeSchema();
